package com.zjsgfa.project.zt.service;

import java.util.List;
import com.zjsgfa.project.zt.domain.LjZtdfzh;

/**
 * 邻井-钻头得分综合Service接口
 * 
 * @author ruoyi
 * @date 2025-06-30
 */
public interface ILjZtdfzhService 
{
    /**
     * 查询邻井-钻头得分综合
     * 
     * @param id 邻井-钻头得分综合主键
     * @return 邻井-钻头得分综合
     */
    public LjZtdfzh selectLjZtdfzhById(Long id);

    /**
     * 查询邻井-钻头得分综合列表
     * 
     * @param ljZtdfzh 邻井-钻头得分综合
     * @return 邻井-钻头得分综合集合
     */
    public List<LjZtdfzh> selectLjZtdfzhList(LjZtdfzh ljZtdfzh);

    /**
     * 新增邻井-钻头得分综合
     * 
     * @param ljZtdfzh 邻井-钻头得分综合
     * @return 结果
     */
    public int insertLjZtdfzh(LjZtdfzh ljZtdfzh);

    /**
     * 修改邻井-钻头得分综合
     * 
     * @param ljZtdfzh 邻井-钻头得分综合
     * @return 结果
     */
    public int updateLjZtdfzh(LjZtdfzh ljZtdfzh);

    /**
     * 批量删除邻井-钻头得分综合
     * 
     * @param ids 需要删除的邻井-钻头得分综合主键集合
     * @return 结果
     */
    public int deleteLjZtdfzhByIds(Long[] ids);

    /**
     * 删除邻井-钻头得分综合信息
     * 
     * @param id 邻井-钻头得分综合主键
     * @return 结果
     */
    public int deleteLjZtdfzhById(Long id);
}
